Subject: [v7,03/10] docs: Add Generic Counter interface documentation

From: [email-masked] (William Breathitt Gray)
Date: Tue, 3 Jul 2018 10:21:53 -0400

On Mon, Jul 02, 2018 at 02:42:06PM -0500, David Lechner wrote:
>On 06/21/2018 04:07 PM, William Breathitt Gray wrote:
>> +Userspace Interface
>> +===================
>> +
>> +Several sysfs attributes are generated by the Generic Counter interface,
>> +and reside under the /sys/bus/counter/devices/counterX directory, where
>> +counterX refers to the respective counter device. Please see
>> +Documentation/ABI/testing/sys-bus-counter-generic-sysfs for detailed
>> +information on each Generic Counter interface sysfs attribute.
>> +
>> +Through these sysfs attributes, programs and scripts may interact with
>> +the Generic Counter paradigm Counts, Signals, and Synapses of respective
>> +counter devices.
>
>I don't actually see any mention of the Synapses in the sysfs documentation.
>But configfs my be better suited to configuring Synapses anyway, e.g. one
>would symlink a Signal to a Counter to make the connection.

I expect in a future patch to add a synapses directory to the count
directories which will have symlinks to the respective associated
signals. I've postponed this development for now to keep the
introduction patchset simple, and also because the current users have
little use for this feature at the moment, but it is indeed planned for
the future.

William Breathitt Gray